activeDirectoryWindowsAutopilotDeploymentProfile aktualisieren

Namespace: microsoft.graph

Wichtig: Microsoft Graph APIs unter der /beta-Version können geändert werden. Die Produktionsverwendung wird nicht unterstützt.

Hinweis: Die Microsoft Graph-API für Intune setzt eine aktive Intune-Lizenz für den Mandanten voraus.

Dient zum Aktualisieren der Eigenschaften eines activeDirectoryWindowsAutopilotDeploymentProfile-Objekts.

Voraussetzungen

Eine der nachfolgenden Berechtigungen ist erforderlich, um diese API aufrufen zu können. Weitere Informationen, unter anderem zur Auswahl von Berechtigungen, finden Sie im Artikel zum Thema Berechtigungen.

Berechtigungstyp Berechtigungen (von der Berechtigung mit den wenigsten Rechten zu der mit den meisten Rechten)
Delegiert (Geschäfts-, Schul- oder Unikonto) DeviceManagementServiceConfig.ReadWrite.All
Delegiert (persönliches Microsoft-Konto) Nicht unterstützt
Anwendung DeviceManagementServiceConfig.ReadWrite.All

HTTP-Anforderung

PATCH /deviceManagement/windowsAutopilotDeploymentProfiles/{windowsAutopilotDeploymentProfileId}
PATCH /deviceManagement/windowsAutopilotDeviceIdentities/{windowsAutopilotDeviceIdentityId}/deploymentProfile
PATCH /deviceManagement/windowsAutopilotDeviceIdentities/{windowsAutopilotDeviceIdentityId}/intendedDeploymentProfile

Anforderungsheader

Kopfzeile Wert
Authorization Bearer<token> erforderlich
Annehmen application/json

Anforderungstext

Geben Sie im Anforderungstext eine JSON-Darstellung des activeDirectoryWindowsAutopilotDeploymentProfile-Objekts an.

In der folgenden Tabelle sind die Eigenschaften aufgeführt, die angegeben werden müssen, wenn Sie ein Objekt des Typ activeDirectoryWindowsAutopilotDeploymentProfileerstellen.

Eigenschaft Typ Beschreibung
id String Profilschlüssel geerbt von windowsAutopilotDeploymentProfile
displayName Zeichenfolge Name des profils geerbt von windowsAutopilotDeploymentProfile
description String Beschreibung des profils geerbt von windowsAutopilotDeploymentProfile
language String Auf dem Gerät konfigurierte Sprache Geerbt von windowsAutopilotDeploymentProfile
createdDateTime DateTimeOffset Erstellungszeit des Profils Geerbt von windowsAutopilotDeploymentProfile
lastModifiedDateTime DateTimeOffset Zeitpunkt der letzten Änderung des Profils Geerbt von windowsAutopilotDeploymentProfile
outOfBoxExperienceSettings outOfBoxExperienceSettings Out-of-Box-Umgebungseinstellung Geerbt von windowsAutopilotDeploymentProfile
enrollmentStatusScreenSettings windowsEnrollmentStatusScreenSettings Einstellung des Registrierungsstatusbildschirms Geerbt von windowsAutopilotDeploymentProfile
extractHardwareHash Boolescher Wert HardwareHash-Extraktion für das profil geerbt von windowsAutopilotDeploymentProfile
deviceNameTemplate String Die Vorlage, die zum Benennen des AutoPilot-Geräts verwendet wird. Dies kann ein benutzerdefinierter Text sein und kann auch die Seriennummer des Geräts oder eine zufällig generierte Zahl enthalten. Die Gesamtlänge des von der Vorlage generierten Texts darf maximal 15 Zeichen lang sein. Geerbt von windowsAutopilotDeploymentProfile
deviceType windowsAutopilotDeviceType Der AutoPilot-Gerätetyp, auf den dieses Profil angewendet werden kann. Geerbt von windowsAutopilotDeploymentProfile. Mögliche Werte sind: windowsPc, surfaceHub2, holoLens, surfaceHub2S, virtualMachine und unknownFutureValue.
enableWhiteGlove Boolesch Aktivieren Sie Autopilot White Glove für das Profil. Geerbt von windowsAutopilotDeploymentProfile
roleScopeTagIds String-Sammlung Bereichstags für das Profil. Geerbt von windowsAutopilotDeploymentProfile
managementServiceAppId Zeichenfolge AzureAD-Verwaltungs-App-ID, die während der clientgerätebasierten Registrierungsermittlung verwendet wird. Geerbt von windowsAutopilotDeploymentProfile
hybridAzureADJoinSkipConnectivityCheck Boolescher Wert Der Autopilot Hybrid Azure AD Join-Fluss wird auch dann fortgesetzt, wenn während der Windows-Willkommensseite keine Domänencontrollerkonnektivität eingerichtet wird.

Antwort

Bei erfolgreicher Ausführung gibt die Methode den 200 OK Antwortcode und ein aktualisiertes activeDirectoryWindowsAutopilotDeploymentProfile-Objekt im Antworttext zurück.

Beispiel

Anforderung

Nachfolgend sehen Sie ein Beispiel der Anforderung.

PATCH https://graph.microsoft.com/beta/deviceManagement/windowsAutopilotDeploymentProfiles/{windowsAutopilotDeploymentProfileId}
Content-type: application/json
Content-length: 1282

{
  "@odata.type": "#microsoft.graph.activeDirectoryWindowsAutopilotDeploymentProfile",
  "displayName": "Display Name value",
  "description": "Description value",
  "language": "Language value",
  "outOfBoxExperienceSettings": {
    "@odata.type": "microsoft.graph.outOfBoxExperienceSettings",
    "hidePrivacySettings": true,
    "hideEULA": true,
    "userType": "standard",
    "deviceUsageType": "shared",
    "skipKeyboardSelectionPage": true,
    "hideEscapeLink": true
  },
  "enrollmentStatusScreenSettings": {
    "@odata.type": "microsoft.graph.windowsEnrollmentStatusScreenSettings",
    "hideInstallationProgress": true,
    "allowDeviceUseBeforeProfileAndAppInstallComplete": true,
    "blockDeviceSetupRetryByUser": true,
    "allowLogCollectionOnInstallFailure": true,
    "customErrorMessage": "Custom Error Message value",
    "installProgressTimeoutInMinutes": 15,
    "allowDeviceUseOnInstallFailure": true
  },
  "extractHardwareHash": true,
  "deviceNameTemplate": "Device Name Template value",
  "deviceType": "surfaceHub2",
  "enableWhiteGlove": true,
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "managementServiceAppId": "Management Service App Id value",
  "hybridAzureADJoinSkipConnectivityCheck": true
}

Antwort

Nachfolgend sehen Sie ein Beispiel der Antwort. Hinweis: Das hier gezeigte Antwortobjekt ist möglicherweise aus Platzgründen abgeschnitten. Von einem tatsächlichen Aufruf werden alle Eigenschaften zurückgegeben.

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1454

{
  "@odata.type": "#microsoft.graph.activeDirectoryWindowsAutopilotDeploymentProfile",
  "id": "49fe234a-234a-49fe-4a23-fe494a23fe49",
  "displayName": "Display Name value",
  "description": "Description value",
  "language": "Language value",
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "outOfBoxExperienceSettings": {
    "@odata.type": "microsoft.graph.outOfBoxExperienceSettings",
    "hidePrivacySettings": true,
    "hideEULA": true,
    "userType": "standard",
    "deviceUsageType": "shared",
    "skipKeyboardSelectionPage": true,
    "hideEscapeLink": true
  },
  "enrollmentStatusScreenSettings": {
    "@odata.type": "microsoft.graph.windowsEnrollmentStatusScreenSettings",
    "hideInstallationProgress": true,
    "allowDeviceUseBeforeProfileAndAppInstallComplete": true,
    "blockDeviceSetupRetryByUser": true,
    "allowLogCollectionOnInstallFailure": true,
    "customErrorMessage": "Custom Error Message value",
    "installProgressTimeoutInMinutes": 15,
    "allowDeviceUseOnInstallFailure": true
  },
  "extractHardwareHash": true,
  "deviceNameTemplate": "Device Name Template value",
  "deviceType": "surfaceHub2",
  "enableWhiteGlove": true,
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "managementServiceAppId": "Management Service App Id value",
  "hybridAzureADJoinSkipConnectivityCheck": true
}